Name:          libinput
Version:       1.28.1
Release:       1mamba
Summary:       A library that handles input devices for display servers and other applications
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/wiki/Software/libinput/
Source:        https://gitlab.freedesktop.org/libinput/libinput.git/%{version}/libinput-%{version}.tar.bz2
#Source:        http://www.freedesktop.org/software/libinput/libinput-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libcairo-devel
BuildRequires: libevdev-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libmtdev-devel
BuildRequires: libudev-devel
BuildRequires: libwacom-devel
BuildRequires: libwayland-devel
## AUTOBUILDREQ-END
BuildRequires: python-Sphinx
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description
libinput is a library that handles input devices for display servers and other applications that need to directly deal with input devices.
It provides device detection, device handling, input device event processing and abstraction so minimize the amount of custom input code the user of libinput need to provide the common set of functionality that users expect.
Input event processing includes scaling touch coordinates, generating pointer events from touchpads, pointer acceleration, etc.
libinput originates from weston, the Wayland reference compositor.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.


%prep
%setup -q

%build
%meson \
   -Dudev-dir=%_udevrulesdir/..

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
export DESTDIR="%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libinput.so.*
%dir %{_libexecdir}/libinput
%{_libexecdir}/libinput/libinput-*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libinput.h
%{_libdir}/libinput.so
%{_libdir}/pkgconfig/libinput.pc

%files tools
%defattr(-,root,root)
%{_bindir}/libinput
%{_prefix}/lib/udev/libinput-*
%{_udevrulesdir}/*.rules
%{_datadir}/zsh/site-functions/_libinput
%dir %{_datadir}/libinput
%{_datadir}/libinput/*.quirks
%{_mandir}/man1/libinput*.1*

%changelog
* Tue Apr 01 2025 Automatic Build System <autodist@openmamba.org> 1.28.1-1mamba
- automatic version update by autodist

* Mon Mar 24 2025 Automatic Build System <autodist@openmamba.org> 1.28.0-1mamba
- automatic version update by autodist

* Mon Jan 06 2025 Automatic Build System <autodist@openmamba.org> 1.27.1-1mamba
- automatic version update by autodist

* Tue Nov 19 2024 Automatic Build System <autodist@openmamba.org> 1.27.0-1mamba
- automatic version update by autodist

* Mon Aug 19 2024 Automatic Build System <autodist@openmamba.org> 1.26.2-1mamba
- automatic version update by autodist

* Thu Jun 27 2024 Automatic Build System <autodist@openmamba.org> 1.26.1-1mamba
- automatic version update by autodist

* Thu Jun 06 2024 Automatic Build System <autodist@openmamba.org> 1.26.0-1mamba
- automatic version update by autodist

* Tue Jan 16 2024 Automatic Build System <autodist@openmamba.org> 1.25.0-1mamba
- automatic version update by autodist

* Sat Aug 26 2023 Automatic Build System <autodist@mambasoft.it> 1.24.0-1mamba
- automatic version update by autodist

* Sun Mar 26 2023 Automatic Build System <autodist@mambasoft.it> 1.23.0-1mamba
- automatic version update by autodist

* Tue Jan 17 2023 Automatic Build System <autodist@mambasoft.it> 1.22.1-1mamba
- automatic version update by autodist

* Sun Nov 20 2022 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Sun Jun 12 2022 Automatic Build System <autodist@mambasoft.it> 1.21.0-1mamba
- automatic version update by autodist

* Thu Apr 21 2022 Automatic Build System <autodist@mambasoft.it> 1.20.1-1mamba
- automatic version update by autodist

* Sat Apr 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20.0-1mamba
- update to 1.20.0

* Mon Dec 13 2021 Automatic Build System <autodist@mambasoft.it> 1.19.3-1mamba
- automatic version update by autodist

* Thu Oct 21 2021 Automatic Build System <autodist@mambasoft.it> 1.19.2-1mamba
- automatic version update by autodist

* Wed Sep 29 2021 Automatic Build System <autodist@mambasoft.it> 1.19.1-1mamba
- automatic version update by autodist

* Tue Sep 14 2021 Automatic Build System <autodist@mambasoft.it> 1.19.0-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Automatic Build System <autodist@mambasoft.it> 1.18.1-1mamba
- automatic version update by autodist

* Wed Jun 02 2021 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Wed May 26 2021 Automatic Build System <autodist@mambasoft.it> 1.17.3-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 1.17.2-1mamba
- automatic version update by autodist

* Fri Mar 26 2021 Automatic Build System <autodist@mambasoft.it> 1.17.1-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 1.17.0-1mamba
- automatic version update by autodist

* Sat Nov 28 2020 Automatic Build System <autodist@mambasoft.it> 1.16.4-1mamba
- automatic version update by autodist

* Tue Nov 03 2020 Automatic Build System <autodist@mambasoft.it> 1.16.3-1mamba
- automatic version update by autodist

* Thu Oct 08 2020 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Sun Aug 23 2020 Automatic Build System <autodist@mambasoft.it> 1.16.1-1mamba
- automatic version update by autodist

* Fri Jun 19 2020 Automatic Build System <autodist@mambasoft.it> 1.15.6-1mamba
- automatic version update by autodist

* Wed Apr 29 2020 Automatic Build System <autodist@mambasoft.it> 1.15.5-1mamba
- automatic version update by autodist

* Thu Aug 09 2018 Automatic Build System <autodist@mambasoft.it> 1.11.3-1mamba
- automatic version update by autodist

* Thu Jul 05 2018 Automatic Build System <autodist@mambasoft.it> 1.11.2-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 1.11.1-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Wed Oct 04 2017 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Sun Sep 10 2017 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Tue Mar 28 2017 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Sat Feb 04 2017 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Mon Jan 23 2017 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Jan 15 2017 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic version update by autodist

* Fri Dec 09 2016 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Sat Dec 03 2016 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist

* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Fri Aug 05 2016 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Mon Jul 25 2016 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sun Jun 26 2016 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Thu Jun 16 2016 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Thu May 12 2016 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Wed Apr 13 2016 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Thu Feb 18 2016 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic version update by autodist

* Fri Feb 12 2016 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic version update by autodist

* Tue Dec 22 2015 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Thu Dec 10 2015 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Thu Nov 19 2015 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Mon Oct 26 2015 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Thu Oct 22 2015 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Sat Sep 05 2015 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Wed Aug 26 2015 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Fri Aug 21 2015 Automatic Build System <autodist@mambasoft.it> 0.99.1-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 0.21.0-1mamba
- automatic version update by autodist

* Fri Aug 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.0-2mamba
- don't install test udev rules

* Sun Aug 02 2015 Automatic Build System <autodist@mambasoft.it> 0.20.0-1mamba
- automatic version update by autodist

* Sat Jul 11 2015 Automatic Build System <autodist@mambasoft.it> 0.19.0-1mamba
- automatic version update by autodist

* Mon Jun 22 2015 Automatic Build System <autodist@mambasoft.it> 0.18.0-1mamba
- automatic version update by autodist

* Tue Jun 09 2015 Automatic Build System <autodist@mambasoft.it> 0.17.0-1mamba
- automatic version update by autodist

* Sun May 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0-1mamba
- update to 0.15.0

* Sun Apr 26 2015 Automatic Build System <autodist@mambasoft.it> 0.14.1-1mamba
- automatic version update by autodist

* Wed Apr 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.0-1mamba
- package created using the webbuild interface
